com.salesforce.datacloud.jdbc.auth.errors

## Class AuthorizationException.AuthorizationExceptionBuilder

- java.lang.Object
- - com.salesforce.datacloud.jdbc.auth.errors.AuthorizationException.AuthorizationExceptionBuilder

Enclosing class:
  AuthorizationException

    public static class AuthorizationException.AuthorizationExceptionBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`AuthorizationException` `build()`
`AuthorizationException.AuthorizationExceptionBuilder` `errorCode(String errorCode)`
`AuthorizationException.AuthorizationExceptionBuilder` `errorDescription(String errorDescription)`
`AuthorizationException.AuthorizationExceptionBuilder` `message(String message)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### message

    public AuthorizationException.AuthorizationExceptionBuilder message(String message)

Returns:
  `this`.

#### errorCode

    public AuthorizationException.AuthorizationExceptionBuilder errorCode(String errorCode)

Returns:
  `this`.

#### errorDescription

    public AuthorizationException.AuthorizationExceptionBuilder errorDescription(String errorDescription)

Returns:
  `this`.

#### build

    public AuthorizationException build()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`